Install iRedMail 1.3.2 on FreeBSD 12
02/12/2021 05:41 PM - Daniel Curtis

Status: Closed Start date: 02/12/2021
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Mail Server Estimated time: 0.00 hour
Target version: FreeBSD 12 Spent time: 0.00 hour
Description

Prepare the Environment

e Make sure system is up to date:
pkg update && pkg upgrade
e Update the ports tree
portsnap fetch extract
® Install dependencies
pkg install portmaster screen
e Edit the /etc/rc.conf file:

vi /etc/rc.conf

o And make sure the hostname is set:
hostname="mx.example.com"
e Add or modify the /etc/hosts file:

vi /etc/hosts

o And make sure the hostname is set:

127.0.0.1 mx.example.com mx localhost

e Check the current hostname:

hostname -f

o The output should look similar to the following:

mx.example.com
Install iRedMail

¢ Install bash and openssl

pkg install bash openssl

e Fetch and extract the iRedMail stable installer:

cd

fetch https://github.com/iredmail/iRedMail/archive/1.3.2.tar.gz
tar xzf 1.3.2.tar.gz

cd iRedMail-1.3.2

e Run the iRedMail Installer:

chmod +x iRedMail.sh
bash iRedMail.sh

Configure iRedMail

The install process will pull in all the required packages during installation. Since each mail server is a little different, my setup uses
the following parameters:

Default mail storage path: /var/vmail
Default web server: nginx
Preferred backend used to store mail accounts: MariaDB
First virtual domain name: example.com
Optional components:
o DKIM signing/verification
o iRedAdmin
o Roundcubemail
o phpMyAdmin
o Awstats

When the installation finishes, all the login information and URLs will be placed in the iRedMail.tips file.

Securing iRedMail with SSL/TLS

NOTE: I've switched to LetsEncrypt for providing SSL certificates. To setup SSL with LetsEncrypt refer to Issue #843

The default location for the self-signed certificate is in /etc/ssl/certs/iRedMail.crt and the key is in /etc/ssl/private/iRedMail.key; | am
going to change these to /usr/local/etc/ssl/mx.example.com.crt and /usr/local/etc/ssl/mx.example.com.key, respectively.
e Start by create a dhparam file:
openssl dhparam -out /usr/local/etc/ssl/dhparams.pem 4096

* Next, generate a nice strong SSL key and CSR:

openssl req -shabl2 -out mx.example.com.csr —-new —-newkey rsa:4096 -nodes -keyout mx.example.co
m.key

e When the SSL certificate is signed, copy it securely to /usr/local/etc/ssl/mx.example.com.crt
http://project.altservice.com/issues/843

o Edit the default nginx server block config:

vi /usr/local/etc/nginx/conf.d/default.conf

o And change the ssl_certificate_key, ssl_certificate, and ssl_dhparam paths:

ssl_certificate_key /usr/local/etc/ssl/mx.example.com.key
ssl_certificate /usr/local/etc/ssl/mx.example.com.crt
ssl_dhparam /usr/local/etc/ssl/dhparams.pem;

o Edit the main postfix config:

vi /usr/local/etc/postfix/main.cf

o And change the smtpd_tls_key_file, smtpd_tIs_cert_file, smtpd_tls_CAfile, and smtpd_tls_dh1024_param_file paths:

smtpd_tls_key file = /usr/local/etc/ssl/mx.example.com.key
smtpd_tls_cert_file = /usr/local/etc/ssl/mx.example.com.crt
smtpd_tls_CAfile = /usr/local/etc/ssl/mx.example.com.crt
smtpd_tls_dhl024_param_file = /usr/local/etc/ssl/dhparams.pem

¢ Edit the dovecot config:

vi /usr/local/etc/dovecot/dovecot.conf

o And change the paths:

ssl_cert = </usr/local/etc/ssl/mx.example.com.crt
ssl_key = </usr/local/etc/ssl/mx.example.com.key

NOTE: To use an intermediate CA certificate nginx requires all SSL certificate be attached all in a single file. This can be done by
running:

cat mx.example.com.crt ca.cert.bundle.pem > mx.example.com.bundle.crt

DNS
A Record

e From your DNS record manager, create an A record using the following template:

NAME TTL TYPE DATA
WWW.example.com. 1800 A 10.0.0.3
PTR Record

e From your DNS record manager, create a PTR record using the following template:

NAME TTL TYPE DATA
3.0.0.10.in-addr.arpa. 1800 PTR mail.example.com.
MX Record
e From your DNS record manager, create a MX record using the following template:

NAME PRIORITY TYPE DATA
example.com. 10 mx mail.example.com
SPF Record

e From your DNS record manager, create a TXT record using the following template:

NAME PRIORITY TYPE DATA
example.com. 3600 TXT v=spfl mx mx:example.com -all
DKIM Record

® Run command in terminal to show your DKIM keys:

amavisd showkeys

o Example output:

dkim._domainkey.example.com. 3600 TXT (
"v=DKIM1l; p="

"YUVEMBOGCSgFGTb3DQEBAWAAAAGNADCBiQKBgODYArsr2BKbdhv9efugByf7LhaK"
"txFUtO0ec5+1dWmcDvOWHOgZLFK711sibNN5LutvnaiuH+w3Kr8Y1lbw8gg2jO0UBok"
"FcMycUvOBd7nsYn/TUrOua3Nns+gKSJBy88IWSh2zHaGb jRYujyWSTJ1PELJOH+5"

"EV71lgww34omgquskkwIDFMRI")

e From your DNS record manager, create a TXT record using the following template:

NAME PRIORITY TYPE DATA

dkim._domainkey.example.com 3600 TXT v=DKIM1l; p=YUVEMBOGCSgFGTb3DQEBAWAAA4GNADCBiQ
KBgQDYArsr2BKbdhv9efugByf7LhaKtxFUt0ec5+1dWmcDVOWHOQZLFK711sibNNS5LutvnaiuH+w3Kr8Y1lbw8gg2 jO0UBok

FcMycUvOBd7nsYn/TUrOua3Nns+gKSJBy88IWSh2zHaGb jRYujyWSTJ1PELJOH+5EV711gww34omquskkwIDFMRI

Resources

e hitp://www.iredmail.org/docs/install.iredmail.on.freebsd.html
http://www.iredmail.org/download.html
https://github.com/iredmail/iRedMail

¢ http://www.iredmail.org/docs/setup.dns.html

History

#1 - 03/03/2021 02:24 PM - Daniel Curtis

- Status changed from New to Resolved

#2 - 03/03/2021 02:24 PM - Daniel Curtis
- % Done changed from 0 to 100

#3 - 02/18/2022 08:08 PM - Daniel Curtis

- Status changed from Resolved to Closed
